# /etc/mailman3/gunicorn.conf
#
bind = ['127.0.0.1:8026']
proc_name = "mailman-web"
chdir = "/var/lib/mailman3"
pidfile = "/run/mailman3/gunicorn.pid"
accesslog = "/var/log/mailman3/access.log"
errorlog = "/var/log/mailman3/error.log"

timeout = 60

# Logformat add X-Forwarded-For (useful if running behind reverse proxy)
# https://docs.gunicorn.org/en/stable/settings.html
access_log_format = '%(h)s %({X-Forwarded-For}i)s %(u)s %(t)s "%(r)s" %(s)s %(b)s "%(f)s" "%(a)s"'
